// See https://aka.ms/new-console-template for more information

using System.Text;
using PoyoLang.Translator;

Console.OutputEncoding = Encoding.UTF8;

var text = "Immutable abstract representation of a span of text. For example, in an error diagnostic that reports a location, it could come from a parsed string, text from a tool editor buffer, etc.";

Console.WriteLine("Original:");
Console.WriteLine(text);
Console.WriteLine();

var translator = new PoyoLangTranslator();

var translated = translator.TranslateToPoyo(text);

Console.WriteLine("Translated to Poyo:");
Console.WriteLine(translated);
Console.WriteLine();

var original = translator.TranslateFromPoyo(translated);

Console.WriteLine("Translated back from Poyo:");
Console.WriteLine(original);
